EDIT - bug #7615

Registrations not searchable in the PhycoBank portal
08/01/2018 05:14 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.2

Severity: major Found in Version:

Description

100002 Planothidium taeansa
100003 Planothidium naradoense

sind im Vaadin Editor Gber die Nummer suchbar
http://test.e-taxonomy.eu/cdmserver/phycobank_production/app/registration#!list/all

Diese Nummern sind tber die Nummer nicht im Portal auffindbar:
http:/test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/search/registration/?identifier=100008&taxon_name=&type

desiqnation_status%SB%SD=0&oo=%EF%80%82&form_bui|d_id=form—8vOZJ9kaViiIEIf_okbszPicfoora_zeim6mOJ4Y&form_id:
cdm_dataportal_search_registration_form

(Es kdnnte noch bis zu 9 weitere Nummern betreffen, also kein generelles sondern ein spezielles Problem)

Related issues:
Copied to EDIT - feature request #7621: registration search also covers typif... Closed

Associated revisions

Revision bb177¢82 - 08/01/2018 05:43 PM - Andreas Kohlbecker

fix #7615 cleaning registration search parameter 'taxonNameFilterPattern’

History

#1 - 08/01/2018 05:35 PM - Andreas Kohlbecker
- Status changed from New to In Progress
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.2

This happens because the dataportal sends an empty querystring for the scientific name and the webservice is not ignoring empty strings.

#2 - 08/01/2018 05:43 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportallbb177c82fe3bf3c699fd30817cd82167f14fe4 71.

#3 - 08/01/2018 05:43 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 50 to 0

ready for review.

#4 - 08/01/2018 05:53 PM - Wolf-Henning Kusber
- Status changed from Resolved to In Progress
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 0 to 50
http://test.e-taxonomy.eu/cdmserver/phycobank_production/app/registration#!list/all
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/search/registration/?identifier=100008&taxon_name=&type_designation_status%5B%5D=0&op=%EF%80%82&form_build_id=form-8vOZJ9fVkVjiIEIf_pkbzdAPjcxfDpra_zeim6m0J4Y&form_id=cdm_dataportal_search_registration_form
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/search/registration/?identifier=100008&taxon_name=&type_designation_status%5B%5D=0&op=%EF%80%82&form_build_id=form-8vOZJ9fVkVjiIEIf_pkbzdAPjcxfDpra_zeim6m0J4Y&form_id=cdm_dataportal_search_registration_form
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/search/registration/?identifier=100008&taxon_name=&type_designation_status%5B%5D=0&op=%EF%80%82&form_build_id=form-8vOZJ9fVkVjiIEIf_pkbzdAPjcxfDpra_zeim6m0J4Y&form_id=cdm_dataportal_search_registration_form
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/bb177c82fe3bf3c699fd30817cd82167f14fe47f

ID-Suche = Perfekt, alle 10 Falle, in denen keine Anzeige erfolgte, funktionieren jetzt Uber die ID-Suche
Was im Augenblick noch nicht im Portal funktioniert, ist die Namenssuche der oben genannten Namen.
Sorry, habs auf Progress zurtickgestellt.

#5 - 08/02/2018 11:39 AM - Andreas Kohlbecker

- File picture105-1.png added

- Status changed from In Progress to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

The search behaves correctly. "Planothidium taeansa" is not found because there is no registration for the name "Planothidium taeansa" only for the
Holotype:

n Type: % Korea, Republic of, ChollaNamdo,

Creek at Temple TaeAnSaat Tae An Sa, alt. 299 m, 35°7'52.611"N, 127°2318.924"E, R. Jahn & B.

Suh D26. Holotype, (B 40 0040801).

To me this looks like incomplete data. Is this really a registration for a type designation only?

The intended behavior of the name search is to search for registrations where the registered name matched the query string. The typified names
associated with the typedesignations are not covered by this search. Maybe we need to extend the search so that the typified names are also
included? Maybe as optional search mode or should this be the default?

#6 - 08/02/2018 01:29 PM - Andreas Kohlbecker

data issue solved, name added to registration

#7 - 08/02/2018 01:32 PM - Andreas Kohlbecker

We definitely need to extend the search so that typified names are also covered by the search. ... new ticket: #7621

#8 - 08/03/2018 02:02 PM - Andreas Kohlbecker

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

#9 - 08/03/2018 02:42 PM - Andreas Kohlbecker

- Copied to feature request #7621: registration search also covers typified names added

#10 - 08/03/2018 02:43 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

Files

picture105-1.png 20.7 KB 08/02/2018 Andreas Kohlbecker
